{
  "version": "0.2",
  "language": "en",
  "dictionaries": [
    // language
    "en_us",
    // code
    "go",
    "node",
    "shell",
    // package names
    "npm"
  ],
  "words": [
    "woodpeckerci",
    "riscv",
    "codeberg",
    "editview",
    "forgejo",
    "gitea",
    "keycloak",
    "knut",
    "nord",
    "orga",
    "pageview",
    "styleguide",
    "tydata",
    "webauthn",
    "weblate",
    "webp",
    "xclip",
    "endfor",
    "pagefind",
    "mray",
    "keypair",
    "gpgsign",
    "signinkey",
    "srcset",
    "endadmonition",
    "TOTP",
    "Setext",
    "Marlroy",
    "preformatting",
    "endfor",
    "Goldmark",
    "Homeserver",
    "subpage",
    "PKCE",
    "block",
    "keyid",
    "pubring",
    "signingkey",
    "Browsersync",
    "endraw",
    "callouts",
    "libwebp",
    "cwebp",
    "Kesi",
    "IBAN",
    "SEPA",
    "fileorpathname",
    "oneline",
    "eins",
    "zwei",
    "Commitvia",
    "knuts",
    "Hostable",
    "disroot",
    "hostable",
    "LICENCE",
    "browsable",
    "homebrewed",
    "libera",
    "jumpstart",
    "Figshare",
    "Zenodo",
    "gettext",
    "colormix",
    "frida",
    "reponame",
    "yourdomain",
    "myproject",
    "branchname",
    "venv",
    "mydocs",
    "Hassani",
    "Alami",
    "Fayçal",
    "toctree",
    "Malroy",
    "Wrzx",
    "pacman",
    "xbps",
    "GENODEF",
    "netcup",
    "YOURCODEBERGUSERNAME",
    "respository",
    "mynewfile",
    "docstrings",
    "autodoc",
    "quickstart",
    "virtualenv",
    "dind",
    "Packagist",
    "Feishu",
    "Gogs",
    "noreferrer",
    "tabindex",
    "CERTDIR",
    "nbsp",
    "lycheeverse",
    "mstruebing",
    "davidanson",
    "pipelinecomponents",
    "passwordless",
    "corepack",
    "letsencrypt.org",
    "accounturi",
    "Ente",
    "getent",
    "sealioning",
    "DNSSEC",
    "Arminiusstraße",
    "HELLOTUX",
    "Merch",
    "merch",
    "freewear",
    "gedankenstuecke"
  ],
  "ignorePaths": [
    "**/node_modules/**/*",
    "*.webp",
    "*.png",
    ".git/**/*",
    ".gitignore",
    "pnpm-lock.yaml",
    "package.json",
    "*.svg",
    "*.css",
    "*.js",
    "*.njk",
    ".cspell.json"
  ],
  // Exclude imports, because they are also strings.
  "ignoreRegExpList": [
    // ignore mulltiline imports
    "import\\s*\\((.|[\r\n])*?\\)",
    // ignore single line imports
    "import\\s*.*\".*?\"",
    // ignore go generate directive
    "//\\s*go:generate.*",
    // ignore nolint directive
    "//\\s*nolint:.*",
    // ignore docker image names
    "\\s*docker\\.io/.*"
  ],
  "enableFiletypes": ["dockercompose"]
}
